<ion-view
    view-title="Listenansicht"
    can-swipe-back="true">

    <div class="bar bar-subheader list-subheader">
        <h2 class="title">...</h2>
    </div>

    <ion-content class="has-subheader" overflow-scroll="true">
        <!-- pull to refresh -->
        <ion-refresher on-refresh="listCtrl.resetPageCountAndGetNews()"
                       pulling-text="Pull to Refresh">
        </ion-refresher>

        <div style="font-size: 0.75em">{{listCtrl.errorMessage}}</div>

        <div class="list red-bg">
          <a class="item item-avatar item-icon-right"
             href="#/app/list/{{::news.id}}"
             collection-repeat="entry in listCtrl.news">
            <img ng-src="{{::entry.pictures[0]}}">
            <h2>{{::entry.translations[0].title}}</h2>
            <p>{{::entry.updatedAt | dateDayMonthYear}}</p>
            <i class="icon ion-ios-arrow-right"></i>
          </a>
        </div>

        <ion-infinite-scroll
            on-infinite="listCtrl.getMoreNews()"
            distance="10%"
            ng-if="listCtrl.connectionAvailable">
        </ion-infinite-scroll>

    </ion-content>
</ion-view>
